<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Manipulando Listas</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <style>
        body { padding-top: 10px; font-size: 1.4em; }
        ul { list-style: none; }
        li { padding: 5px; cursor: pointer; }
        .active {
            background-color: #4299e1;
            color: white;
        }

        .bold {
            font-weight: bold;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <ul class="list">
                    <li class="active">This is the first item of the first list.</li>
                    <li>This is the second item of the first list.</li>
                </ul>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <input type="text" class="form-control" id="new-item-text">
                </div>
                <button onclick="addItem();">Add Item</button>
            </div>
        </div>
        
    </div>

    <script>
        "use strict";

        const list = document.querySelector(".list")
        let   list_elements = Array.from(list.getElementsByTagName("li"))
        const tiItem = document.querySelector("[type='text']");

        console.log(tiItem);

        function updateItemEvents() {
            list_elements = Array.from(list.getElementsByTagName("li"))
            list_elements.forEach(element => {
                element.addEventListener("click", e => {
                    deselectAll();
                    markActive(element);
                })
            });
        }
        updateItemEvents();

        function addItem() {
            const test = document.createElement("li")
            test.innerText = tiItem.value
            list.appendChild(test)

            updateItemEvents();
        }

        function deselectAll() {
            list_elements.forEach(element => {
                element.classList.remove("active")
            })
        }

        function markActive(element) {
            element.classList.add("active");
        }

    </script>
</body>
</html>